Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## edu.stanford.smi.protegex.owl.model.util
Class ModelMetrics

    java.lang.Object
      edu.stanford.smi.protegex.owl.model.visitor.OWLModelVisitorAdapter
          edu.stanford.smi.protegex.owl.model.util.ModelMetrics

All Implemented Interfaces:
  OWLModelVisitor

    public class ModelMetrics

extends OWLModelVisitorAdapter

User: matthewhorridge
The Univeristy Of Manchester
Medical Informatics Group
Date: Apr 20, 2005

matthew.horridge@cs.man.ac.uk
www.cs.man.ac.uk/~horridgm

Constructor Summary
`ModelMetrics(OWLModel model)`

Method Summary
`void` | `calculateMetrics()`
`int` | `getAllValuesFromCount()`
`int` | `getAnnotationPropertyCount()`
`int` | `getCardinalityCount()`
`int` | `getComplementClassCount()`
`int` | `getDatatypePropertyCount()`
`int` | `getDefinedClassCount()`
`int` | `getEnumeratedClassCount()`
`int` | `getHasValueCount()`
`int` | `getInversePropertyCount()`
`int` | `getMaxCardinalityCount()`
`int` | `getMaxInferredParents()`
`int` | `getMaxParents()`
`int` | `getMaxSiblings()`
`int` | `getMeanInferredParents()`
`int` | `getMeanParents()`
`int` | `getMeanSiblings()`
`int` | `getMinCardinalityCount()`
`int` | `getModeInferredParents()`
`int` | `getModeParents()`
`int` | `getModeSiblings()`
`int` | `getNamedClassCount()`
`int` | `getObjectPropertyCount()`
`int` | `getOwlClassCount()`
`int` | `getOwlIndividualCount()`
`int` | `getPrimitiveClassCount()`
`int` | `getPropertDomainCount()`
`int` | `getPropertyCount()`
`int` | `getPropertyRangeCount()`
`int` | `getRestrictionCount()`
`int` | `getSomeValuesFromCount()`
`int` | `getUnionClassCount()`
`void` | `stopCalculating()`
`void` | `visitOWLAllValuesFrom(OWLAllValuesFrom owlAllValuesFrom)`
`void` | `visitOWLCardinality(OWLCardinality owlCardinality)`
`void` | `visitOWLComplementClass(OWLComplementClass owlComplementClass)`
`void` | `visitOWLDatatypeProperty(OWLDatatypeProperty owlDatatypeProperty)`
`void` | `visitOWLEnumeratedClass(OWLEnumeratedClass owlEnumeratedClass)`
`void` | `visitOWLHasValue(OWLHasValue owlHasValue)`
`void` | `visitOWLIndividual(OWLIndividual owlIndividual)`
`void` | `visitOWLIntersectionClass(OWLIntersectionClass owlIntersectionClass)`
`void` | `visitOWLMaxCardinality(OWLMaxCardinality owlMaxCardinality)`
`void` | `visitOWLMinCardinality(OWLMinCardinality owlMinCardinality)`
`void` | `visitOWLNamedClass(OWLNamedClass owlNamedClass)`
`void` | `visitOWLObjectProperty(OWLObjectProperty owlObjectProperty)`
`void` | `visitOWLSomeValuesFrom(OWLSomeValuesFrom owlSomeValuesFrom)`
`void` | `visitOWLUnionClass(OWLUnionClass owlUnionClass)`

Methods inherited from class edu.stanford.smi.protegex.owl.model.visitor.OWLModelVisitorAdapter
`visitOWLAllDifferent, visitOWLDataRange, visitOWLOntology, visitRDFDatatype, visitRDFIndividual, visitRDFList, visitRDFProperty, visitRDFSLiteral, visitRDFSNamedClass, visitRDFUntypedResource, visitSWRLAtomListIndividual, visitSWRLIndividual`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ModelMetrics

    public ModelMetrics(OWLModel model)

Method Detail

### calculateMetrics

    public void calculateMetrics()

### getNamedClassCount

    public int getNamedClassCount()

### getOwlClassCount

    public int getOwlClassCount()

### getPrimitiveClassCount

    public int getPrimitiveClassCount()

### getDefinedClassCount

    public int getDefinedClassCount()

### getObjectPropertyCount

    public int getObjectPropertyCount()

### getDatatypePropertyCount

    public int getDatatypePropertyCount()

### getAnnotationPropertyCount

    public int getAnnotationPropertyCount()

### getPropertyCount

    public int getPropertyCount()

### getOwlIndividualCount

    public int getOwlIndividualCount()

### getRestrictionCount

    public int getRestrictionCount()

### getAllValuesFromCount

    public int getAllValuesFromCount()

### getSomeValuesFromCount

    public int getSomeValuesFromCount()

### getHasValueCount

    public int getHasValueCount()

### getCardinalityCount

    public int getCardinalityCount()

### getMaxCardinalityCount

    public int getMaxCardinalityCount()

### getMinCardinalityCount

    public int getMinCardinalityCount()

### getUnionClassCount

    public int getUnionClassCount()

### getPropertDomainCount

    public int getPropertDomainCount()

### getPropertyRangeCount

    public int getPropertyRangeCount()

### getComplementClassCount

    public int getComplementClassCount()

### getEnumeratedClassCount

    public int getEnumeratedClassCount()

### getMaxSiblings

    public int getMaxSiblings()

### getMeanSiblings

    public int getMeanSiblings()

### getModeSiblings

    public int getModeSiblings()

### getMaxParents

    public int getMaxParents()

### getMaxInferredParents

    public int getMaxInferredParents()

### getMeanParents

    public int getMeanParents()

### getModeParents

    public int getModeParents()

### getMeanInferredParents

    public int getMeanInferredParents()

### getModeInferredParents

    public int getModeInferredParents()

### getInversePropertyCount

    public int getInversePropertyCount()

### visitOWLAllValuesFrom

    public void visitOWLAllValuesFrom(OWLAllValuesFrom owlAllValuesFrom)

  Specified by:
    `visitOWLAllValuesFrom` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLAllValuesFrom` in class `OWLModelVisitorAdapter`

### visitOWLCardinality

    public void visitOWLCardinality(OWLCardinality owlCardinality)

  Specified by:
    `visitOWLCardinality` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLCardinality` in class `OWLModelVisitorAdapter`

### visitOWLComplementClass

    public void visitOWLComplementClass(OWLComplementClass owlComplementClass)

  Specified by:
    `visitOWLComplementClass` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLComplementClass` in class `OWLModelVisitorAdapter`

### visitOWLDatatypeProperty

    public void visitOWLDatatypeProperty(OWLDatatypeProperty owlDatatypeProperty)

  Specified by:
    `visitOWLDatatypeProperty` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLDatatypeProperty` in class `OWLModelVisitorAdapter`

### visitOWLEnumeratedClass

    public void visitOWLEnumeratedClass(OWLEnumeratedClass owlEnumeratedClass)

  Specified by:
    `visitOWLEnumeratedClass` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLEnumeratedClass` in class `OWLModelVisitorAdapter`

### visitOWLHasValue

    public void visitOWLHasValue(OWLHasValue owlHasValue)

  Specified by:
    `visitOWLHasValue` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLHasValue` in class `OWLModelVisitorAdapter`

### visitOWLIndividual

    public void visitOWLIndividual(OWLIndividual owlIndividual)

  Specified by:
    `visitOWLIndividual` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLIndividual` in class `OWLModelVisitorAdapter`

### visitOWLIntersectionClass

    public void visitOWLIntersectionClass(OWLIntersectionClass owlIntersectionClass)

  Specified by:
    `visitOWLIntersectionClass` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLIntersectionClass` in class `OWLModelVisitorAdapter`

### visitOWLMaxCardinality

    public void visitOWLMaxCardinality(OWLMaxCardinality owlMaxCardinality)

  Specified by:
    `visitOWLMaxCardinality` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLMaxCardinality` in class `OWLModelVisitorAdapter`

### visitOWLMinCardinality

    public void visitOWLMinCardinality(OWLMinCardinality owlMinCardinality)

  Specified by:
    `visitOWLMinCardinality` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLMinCardinality` in class `OWLModelVisitorAdapter`

### visitOWLNamedClass

    public void visitOWLNamedClass(OWLNamedClass owlNamedClass)

  Specified by:
    `visitOWLNamedClass` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLNamedClass` in class `OWLModelVisitorAdapter`

### visitOWLObjectProperty

    public void visitOWLObjectProperty(OWLObjectProperty owlObjectProperty)

  Specified by:
    `visitOWLObjectProperty` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLObjectProperty` in class `OWLModelVisitorAdapter`

### visitOWLSomeValuesFrom

    public void visitOWLSomeValuesFrom(OWLSomeValuesFrom owlSomeValuesFrom)

  Specified by:
    `visitOWLSomeValuesFrom` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLSomeValuesFrom` in class `OWLModelVisitorAdapter`

### visitOWLUnionClass

    public void visitOWLUnionClass(OWLUnionClass owlUnionClass)

  Specified by:
    `visitOWLUnionClass` in interface `OWLModelVisitor`
  Overrides:
    `visitOWLUnionClass` in class `OWLModelVisitorAdapter`

### stopCalculating

    public void stopCalculating()

Overview | Package | Class | Tree | Deprecated | Index | Help
| Protégé-OWL 3.4 rc2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug report or feature request
Copyright (c) 1998-2009 Stanford University.